<?php
//about theme info
add_action( 'admin_menu', 'vancura_gettingstarted' );
function vancura_gettingstarted() {    	
	add_theme_page( esc_html__('About Theme', 'vancura'), esc_html__('About Theme', 'vancura'), 'edit_theme_options', 'vancura_guide', 'vancura_mostrar_guide');   
}

// Add a Custom CSS file to WP Admin Area
function vancura_admin_theme_style() {
   wp_enqueue_style('custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/getting-started/getting-started.css');
}
add_action('admin_enqueue_scripts', 'vancura_admin_theme_style');

//guidline for about theme
function vancura_mostrar_guide() { 
	//custom function about theme customizer
	$return = add_query_arg( array()) ;
	$theme = wp_get_theme( 'vancura' );

?>

<div class="wrapper-info">
	<div class="col-left">
		<div class="intro">
			<h3><?php esc_html_e( 'Welcome to Vancura WordPress Theme', 'vancura' ); ?> <span>Version: <?php echo esc_html($theme['Version']);?></span></h3>
		</div>
		<div class="started">
			<hr>
			<div class="free-doc">
				<div class="lz-4">
					<h4><?php esc_html_e( 'Start Customizing', 'vancura' ); ?></h4>
					<ul>
						<span><?php esc_html_e( 'Go to', 'vancura' ); ?> <a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e( 'Customizer', 'vancura' ); ?> </a> <?php esc_html_e( 'and start customizing your website', 'vancura' ); ?></span>
					</ul>
				</div>
				<div class="lz-4">
					<h4><?php esc_html_e( 'Support', 'vancura' ); ?></h4>
					<ul>
						<span><?php esc_html_e( 'Send your query to our', 'vancura' ); ?> <a href="<?php echo esc_url( VANCURA_SUPPORT ); ?>" target="_blank"> <?php esc_html_e( 'Support', 'vancura' ); ?></a></span>
					</ul>
				</div>
			</div>
			<p><?php esc_html_e( 'Vancura is a business theme highly suitable for the businesses and it is quite significant for the commercial businesses, official, occupation, entrepreneur, industrial as well as the corporate houses. Armed with some features of significance like Bootstrap, CTA along with personalization and customization options with secure and clean code, this WordPress theme is high in the popularity index and has proved extremely beneficial for the small and medium businesses including the startups. Vancura is a minimal elegant as well as a multipurpose theme ad is also user friendly, mobile friendly and responsive as a result can fit on the screens of various sizes. It is a professional theme and is not only SEO friendly but social media friendly as well making it a very good option for the websites related to the marketing, investment as well as the promotional businesses. It is a sophisticated WordPress theme accompanied with the faster page load time, testimonial section as well as optimised codes making it a special choice for the businesses related to the crypto currencies. It is luxurious as well as modern theme as a result suitable for the ad agencies or any type of business related to advertising. Vancura is a translation ready WP theme. ', 'vancura')?></p>
			<hr>			
			<div class="col-left-inner">
				<h3><?php esc_html_e( 'Get started with Free Vancura Theme', 'vancura' ); ?></h3>
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/customizer-image.png" alt="" />
			</div>
		</div>
	</div>
	<div class="col-right">
		<div class="col-left-area">
			<h3><?php esc_html_e('Premium Theme Information', 'vancura'); ?></h3>
			<hr>
		</div>
		<div class="centerbold">
			<a href="<?php echo esc_url( VANCURA_LIVE_DEMO ); ?>" target="_blank"><?php esc_html_e('Live Demo', 'vancura'); ?></a>
			<a href="<?php echo esc_url( VANCURA_BUY_NOW ); ?>"><?php esc_html_e('Buy Pro', 'vancura'); ?></a>
			<a href="<?php echo esc_url( VANCURA_PRO_DOCS ); ?>" target="_blank"><?php esc_html_e('Pro Documentation', 'vancura'); ?></a>
			<hr class="secondhr">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/vancura.jpg" alt="" />
		</div>
		<h3><?php esc_html_e( 'PREMIUM THEME FEATURES', 'vancura'); ?></h3>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon01.png" alt="" />
			<h4><?php esc_html_e( 'Banner Slider', 'vancura'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon02.png" alt="" />
			<h4><?php esc_html_e( 'Theme Options', 'vancura'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon03.png" alt="" />
			<h4><?php esc_html_e( 'Custom Innerpage Banner', 'vancura'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon04.png" alt="" />
			<h4><?php esc_html_e( 'Custom Colors and Images', 'vancura'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon05.png" alt="" />
			<h4><?php esc_html_e( 'Fully Responsive', 'vancura'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon06.png" alt="" />
			<h4><?php esc_html_e( 'Hide/Show Sections', 'vancura'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon07.png" alt="" />
			<h4><?php esc_html_e( 'Woocommerce Support', 'vancura'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon08.png" alt="" />
			<h4><?php esc_html_e( 'Limit to display number of Posts', 'vancura'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon09.png" alt="" />
			<h4><?php esc_html_e( 'Multiple Page Templates', 'vancura'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon10.png" alt="" />
			<h4><?php esc_html_e( 'Custom Read More link', 'vancura'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon11.png" alt="" />
			<h4><?php esc_html_e( 'Code written with WordPress standard', 'vancura'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon12.png" alt="" />
			<h4><?php esc_html_e( '100% Multi language', 'vancura'); ?></h4>
		</div>
	</div>
</div>
<?php } ?>